Policies
List Policy 3 Configurations
Retrieve all policy 3 configurations
GET
/
v2.5
/
api
/
microseg
/
policy-list3
cURL
curl -sk -X GET "https://<controller>/v2.5/api/microseg/policy-list3" \
-H "Authorization: cid <CID>"import requests
url = "https://<controller>/v2.5/api/microseg/policy-list3"
headers = {"Authorization": "cid <CID>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://<controller>/v2.5/api/microseg/policy-list3", nil)
req.Header.Set("Authorization", "cid <CID>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}{
"dcf_policies": [
{
"name": "<string>",
"policies": [
{
"action": "ACTION_UNSPECIFIED",
"decrypt_policy": "DECRYPT_UNSPECIFIED",
"desc": "desc",
"dst_ads": [
"dst_ads",
"dst_ads"
],
"exclude_sg_orchestration": true,
"flow_app_requirement": "APP_UNSPECIFIED",
"log_profile": "uuid",
"logging": true,
"name": "name",
"port_ranges": [
{
"hi": 0,
"lo": 6
},
{
"hi": 0,
"lo": 6
}
],
"priority": 1,
"protocol": "PROTOCOL_UNSPECIFIED",
"src_ads": [
"src_ads",
"src_ads"
],
"system_resource": true,
"tls_profile": "uuid",
"uuid": "uuid",
"watch": true,
"web_filters": [
"web_filters",
"web_filters"
]
}
],
"system_resource": true,
"uuid": "<string>",
"attach_to": "<string>",
"editable": true,
"metadata": {
"key1": {
"k8s": {
"resource-type": "k8s-policylist"
}
},
"key10": "value10",
"key2": {
"k8s": {
"resource-type": "k8s-policylist"
}
},
"key20": "value20",
"key3": {
"k8s": {
"resource-type": "k8s-policylist"
}
}
}
}
]
}{
"message": "<string>"
}Headers
Controller ID in the format: cid .
Example:
"cid <CID>"
Query Parameters
Return a flattened list of configured Policy Lists
Only include orphaned policy objects in the returned list. Flatten will be ignored if this is set to true, as orphan objects are listed as a flat list.
Response
GET operation response
The Micro-Segmentation DCF Policy list object format
List of Microseg DCF Policies
The Micro-Segmentation DCF Policy List object format
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
curl -sk -X GET "https://<controller>/v2.5/api/microseg/policy-list3" \
-H "Authorization: cid <CID>"import requests
url = "https://<controller>/v2.5/api/microseg/policy-list3"
headers = {"Authorization": "cid <CID>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://<controller>/v2.5/api/microseg/policy-list3", nil)
req.Header.Set("Authorization", "cid <CID>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}{
"dcf_policies": [
{
"name": "<string>",
"policies": [
{
"action": "ACTION_UNSPECIFIED",
"decrypt_policy": "DECRYPT_UNSPECIFIED",
"desc": "desc",
"dst_ads": [
"dst_ads",
"dst_ads"
],
"exclude_sg_orchestration": true,
"flow_app_requirement": "APP_UNSPECIFIED",
"log_profile": "uuid",
"logging": true,
"name": "name",
"port_ranges": [
{
"hi": 0,
"lo": 6
},
{
"hi": 0,
"lo": 6
}
],
"priority": 1,
"protocol": "PROTOCOL_UNSPECIFIED",
"src_ads": [
"src_ads",
"src_ads"
],
"system_resource": true,
"tls_profile": "uuid",
"uuid": "uuid",
"watch": true,
"web_filters": [
"web_filters",
"web_filters"
]
}
],
"system_resource": true,
"uuid": "<string>",
"attach_to": "<string>",
"editable": true,
"metadata": {
"key1": {
"k8s": {
"resource-type": "k8s-policylist"
}
},
"key10": "value10",
"key2": {
"k8s": {
"resource-type": "k8s-policylist"
}
},
"key20": "value20",
"key3": {
"k8s": {
"resource-type": "k8s-policylist"
}
}
}
}
]
}{
"message": "<string>"
}